VantPay API Documentation
API Docs
API Docs
  1. Virtual Account
  • Authentication
    • Authenticate
      POST
  • Virtual Account
    • Create Static Virtual Account
      POST
    • Create Dynamic Virtual Account
      POST
    • List Static Virtual Accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-transquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  • Transactions
    • List Transactions (and fetch by reference)
      GET
  • Wallet
    • Get Wallet Balance
      GET
  • Webhooks
    • Set Notification (Webhook) URL
      POST
    • Collection Notification (received by YOU, not called by you)
      POST
  • Schemas
    • AuthData
    • ApiResponseEnvelope
    • StaticAccountData
    • AuthenticateResponse
    • DynamicAccountData
    • VirtualAccountStatic
    • StaticAccountListItem
    • CreateStaticVirtualAccountResponse
    • Transaction
    • VirtualAccountDynamic
    • PagedStaticAccounts
    • CreateDynamicVirtualAccountResponse
    • PagedTransactions
    • VirtualAccountListItem
    • WalletBalanceData
    • CollectionNotification
    • PagedVirtualAccountList
    • ListStaticVirtualAccountsResponse
    • PagedTransactionList
    • ListTransactionsResponse
    • WalletBalance
    • WalletBalanceResponse
    • SetNotificationUrlResponse
    • WebhookCollectionPayload
  1. Virtual Account

get-prefixes

GET
/api/v1/merchant/registers
This endpoint allows you to retrive the list of prefixes assigned to you as vantPay merchant.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://merchantapi-dev.vantpay.io/api/v1/merchant/registers?Prefix=undefined&PrefixType=undefined&AmountValidation=undefined&CollectionAccount=undefined&Status=undefined&PageNumber=undefined&PageSize=undefined' \
--header 'accept: */*' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-02-19 13:51:38
Previous
get-wallet-balance
Next
get-dynamic-virtual-accounts
Built with